$body-bg-color: #eff1f5;
$image-card-default-border-color: #f7f7f7;
$image-card-checked-border-color: #f70063;

html, body {
  background-color: $body-bg-color;
}

// Loader to show till page load
.aimi-gallery-progress {
  position: absolute;
  left: 0;
  right: 0;
  top: 50%;
  width: 40%;
  margin: auto;

  .progress {
    height: 0.25em;
  }

  .progress-bar {
    width: 100%;
  }
}

// Image item
.image-item {
  label {
    padding-bottom: 100%;
  }

  input {
    appearance: none;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center center;
    width: 100%;
    height: 100%;
    border: 5px solid $image-card-default-border-color;

    &:checked {
      border-color: $image-card-checked-border-color;
    }
  }

  &.loaded {
    .image-item-loader {
      display: none;
    }
  }

  .image-item-header {
    left: 0.5em;
    top: 0.5em;

    .image-item-maximize {
      background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23f70063' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' class='feather feather-maximize'%3E%3Cpath d='M8 3H5a2 2 0 0 0-2 2v3m18 0V5a2 2 0 0 0-2-2h-3m0 18h3a2 2 0 0 0 2-2v-3M3 16v3a2 2 0 0 0 2 2h3'%3E%3C/path%3E%3C/svg%3E");
      width: 24px;
      height: 24px;
    }
  }
}

